curl --request POST \
--url https://{tenant_name}.{region}.techwolf.ai/employees/metrics/adoption_metrics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"queries": [
{
"query_id": "query-id",
"filters": [
{
"filter": "attribute",
"attribute_name": "organisational_unit",
"operator": "eq",
"attribute_value": "abc-123"
}
]
}
]
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/employees/metrics/adoption_metrics"
payload = { "queries": [
{
"query_id": "query-id",
"filters": [
{
"filter": "attribute",
"attribute_name": "organisational_unit",
"operator": "eq",
"attribute_value": "abc-123"
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
queries: [
{
query_id: 'query-id',
filters: [
{
filter: 'attribute',
attribute_name: 'organisational_unit',
operator: 'eq',
attribute_value: 'abc-123'
}
]
}
]
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/employees/metrics/adoption_metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"query_id": "query-123-abc",
"metrics": {
"domains": [
{
"domain_name": "IT",
"external_id": "abdcde-domain",
"skill_clusters": [
{
"external_id": "abdcde-cluster",
"skill_cluster_name": "Software Engineering",
"skills": [
{
"skill_id": "abcde-skill-1",
"skill_name": "Automated Testing",
"unique_employee_count": 10
}
],
"sum_employee_skill_count": 10,
"unique_employee_count": 10,
"unique_skill_count": 1
}
],
"sum_employee_skill_count": 10,
"unique_employee_count": 10,
"unique_skill_count": 1
}
],
"skills_outside_taxonomy": {
"skills": [
{
"skill_id": "abcde-skill-2",
"skill_name": "Software Debugging",
"unique_employee_count": 5
}
],
"sum_employee_skill_count": 5,
"unique_employee_count": 5,
"unique_skill_count": 1
},
"sum_employee_skill_count": 15,
"unique_employee_count": 15,
"unique_skill_count": 2,
"total_employee_skill_count": 15
}
}
]
}Get Employee adoption metrics
Get adoption metrics across a collection of Employee objects stored in the system, aggregated over their Skills and your Taxonomy.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
- Token URL
- https://techwolf.eu.auth0.com/oauth/token
Query Parameters
The external vendor vocabulary you want to use for the returned metrics. This will only work for vendors that are activated on your tenant.
techwolf, workday, sap_attribute_library "workday"
The display language used for Skill names. Altering the vocabulary language does not change the Skill Profile; it solely changes the way it is displayed. If not specified, the default language (en_uk) will be used. The en language is an alias for en_uk. IETF BCP 47 language tags (e.g. fr-FR, zh-CN) are also accepted and mapped to their internal equivalents.
Vendor-specific availability: Only the following languages are available for the default TechWolf vocabulary: en, en_uk, en_us, de, fr, nl. The additional languages (es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no) are only available when the request is scoped to the workday vendor (via external_vendor=workday) and the tenant's Workday vocabulary includes them. Use GET /taxonomy/skills/languages to discover the exact set of languages available for a given vendor in your tenant.
en, en_uk, en_us, de, fr, nl, es, fr_ca, it, ja, ko, pt_br, zh_cn, zh_tw, sv, fi, da, no Body
List of adoption metric queries. Each query corresponds with adoption metrics aggregated across the requested collection of objects.
Show child attributes
Show child attributes
Response
OK
- 3-level Taxonomy
- 4-level Taxonomy
- No Taxonomy
Response structure for Organisational Unit Metrics. Metrics are expressed in the structure of your Taxonomy. When a Skill is not represented in the Taxonomy, it will be included in the "Skills outside of the Taxonomy" Domain.
A list of metrics related to each Organisational Unit.
Show child attributes
Show child attributes
Was this page helpful?